from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XLoadable(XInterface, Protocol):
    def load(self) -> None: ...
    def unload(self) -> None: ...
    def reload(self) -> None: ...
    def isLoaded(self) -> bool: ...
    def addLoadListener(self, aListener: XLoadListener) -> None: ...
    def removeLoadListener(self, aListener: XLoadListener) -> None: ...
